Get a license by ID
GET
/v3/licenses/{licenses_id}
const url = 'https://example.com/v3/licenses/1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v3/licenses/1 \ --header 'X-API-Key: <X-API-Key>'Provides a license by license ID
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” licenses_id
required
Licenses Id
Limit the results to a specific licenses id
integer
Limit the results to a specific licenses id
Responses
Section titled “ Responses ”Successful Response
Media type application/json
LicensesResponse
object
meta
results
required
Results
Array<object>
Licenseobject
id
required
Id
integer
name
required
Name
string
commercialUseAllowed
required
Commercialuseallowed
boolean
attributionRequired
required
Attributionrequired
boolean
shareAlikeRequired
required
Sharealikerequired
boolean
modificationAllowed
required
Modificationallowed
boolean
redistributionAllowed
required
Redistributionallowed
boolean
sourceUrl
required
Sourceurl
string
Example
{ "meta": { "name": "openaq-api", "website": "/", "page": 1, "limit": 100 }}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}